import React from 'react';
import { Checkbox } from 'rlj-design';
import { useStoreContext } from "../hooks";
import { useFieldsToOptions } from "../hooks/useFieldsToOptions";
import { PREFIX_CLS } from "../../constants/dictionary";
import "../style/fieldCheckbox.less";
var CheckboxGroup = Checkbox.Group;
export var FieldSingleCheckbox = function FieldSingleCheckbox() {
  var prefixCls = "".concat(PREFIX_CLS, "-fieldSingleCheckbox");

  var _useStoreContext = useStoreContext(),
      columns = _useStoreContext.columns;

  var options = useFieldsToOptions(columns);

  var onChange = function onChange(e) {
    console.log(e);
  };

  return /*#__PURE__*/React.createElement("div", {
    className: prefixCls
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-header")
  }, /*#__PURE__*/React.createElement(Checkbox, null, "\u5168\u9009\u5B57\u6BB5")), /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-container")
  }, /*#__PURE__*/React.createElement(CheckboxGroup, {
    options: options,
    onChange: onChange
  })));
};