import React from 'react';
import { Tag, Typography } from 'rlj-design';
import { useStoreContext } from "../hooks";
import { PREFIX_CLS } from "../../constants/dictionary";
import "../style/fieldDrag.less";
var LongText = Typography.LongText;
export var FieldSingleDrag = function FieldSingleDrag() {
  var prefixCls = "".concat(PREFIX_CLS, "-fieldSingleDrag");

  var _useStoreContext = useStoreContext(),
      selectFields = _useStoreContext.selectFields;

  return /*#__PURE__*/React.createElement("div", {
    className: prefixCls
  }, selectFields === null || selectFields === void 0 ? void 0 : selectFields.map(function (item) {
    return /*#__PURE__*/React.createElement(Tag, {
      key: item.fieldId,
      type: "selected",
      closable: true,
      height: 24,
      style: {
        color: '#7f7f85',
        marginBottom: 6
      }
    }, /*#__PURE__*/React.createElement(LongText, {
      text: item.fieldName || '',
      length: 24,
      tooltip: item.fieldName
    }));
  }));
};