import type { ColumnsItemType } from '../interface';

export interface StoreContextType {
  columns: ColumnsItemType[];
  selectFields: ColumnsItemType[];
  defaultSelectFields: ColumnsItemType[];
  fieldsData: ColumnsItemType[];
  disableFields: string[];
  checkedValueMap: Map<string, string[]>;
  setCheckedValueMap: (value: Map<string, string[]>) => void;
  fieldDragWidth?: number | string;
}