export interface PropertyType {
    fieldName?: string;
    fieldId?: string;
    fieldDisabled?: boolean;
}
export interface ColumnsItemType extends PropertyType {
    groupName?: string;
    groupId?: string;
    groupDisabled?: boolean;
    children?: PropertyType[];
}
export interface FieldSettingProps {
    /** 所有字段 */
    columns: ColumnsItemType[];
    /** 被选中的字段 */
    defaultSelectFields: ColumnsItemType[];
    /** 勾选字段是否分组 */
    isCheckboxGroup?: boolean;
    /** 字段拖拽是否分组 */
    isDragGroup?: boolean;
    /** 字段拖拽容器宽度 */
    fieldDragWidth?: number;
    /** hui */
    onOk?: (selectFields: ColumnsItemType[]) => void;
}
export interface FieldCheckboxProps {
    isCheckboxGroup: boolean;
}
export interface FieldDragProps {
    isDragGroup: boolean;
}
